Jump to content

Archived

This topic is now archived and is closed to further replies.

BabaTheBeast

[Résolu] Problème configuration Eclipse depuis 2.3

Recommended Posts

Bonjour à tous,

j'avais sur un poste configuré Eclipse avec la sdk 2.2 et tout fonctionnait.

Ce matin, je lance l'executif de la SDK et fais une mise à jour pour importer la 2.3. Tout se télécharge sans soucis, je peux même tester l'émulateur en 2.3

Sauf qu'en ouvrant Eclipse, tous mes anciens projets sont avec une croix rouge, il ne reconnait aucune class Android, alors je vais voir dans les préférences\Android et là surprise, il ne reconnait plus le chemin comme valide, à savoir :

C:\Program Files (x86)\android-sdk-windows\tools

Il me marque, erreur le fichier "adb.exe" n'est pas trouvé. Ce fameux fichier est dans android-sdk-windows\platform-tools\ mais même en testant cette adresse, j'ai une erreur.

Que faut-il renseigner pour avoir la list de SDK dans les préférences ?

Merci d'avance !!!!!

Share this post


Link to post
Share on other sites

Désolé Puni, je n'avais pas vu ta réponse. Et la réponse est non, je ne sais même pas comment faire cela.

Je pense que je vais carrément désinstaller Eclipse et le ré-installer en suivant la procédure, seulement j'ai l'impression que la procédure 2.2 ne marche plus pour installer la 2.3

Il y a cette histoire de dossier "tools" et "platform-tools" qui apparemment met un peu le bazar.

Share this post


Link to post
Share on other sites

Bon, mon problème est résolu, je viens de voir que depuis que j'avais posté mon topic, plusieurs ont eu un soucis similaire et ont posté ailleurs ^^

En clair, j'ai changé le PATH (variable environnement) pour le faire pointer vers le dossier racine de la SDK et non pas le "tools" ni l'autre "platform-tools".

Puis j'ai purgé ECLIPSE et réinstallé le plugin SDK (df-ssl....), puis ajouté le chemin du dossier racine et ça l'a pris.

Mes projets fonctionnent à nouveau, c'est cool ^^

Share this post


Link to post
Share on other sites





×
×
  • Create New...